unit uMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  uConnectForm, dOPC, StdCtrls, Buttons, ExtCtrls, dOPCBrowseDlg, ComCtrls;

type
  TOPCConnectForm1 = class(TOPCConnectForm)
    Button1: TButton;
    ListView1: TListView;
    eItemId: TEdit;
    Label1: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure eItemIdExit(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  OPCConnectForm1: TOPCConnectForm1;

implementation

{$R *.DFM}

procedure TOPCConnectForm1.Button1Click(Sender: TObject);
begin
 EItemId.Text := OPCBrowseItemDialog(OPCServer.Browser);
 eItemIdExit(Sender);
end;      

procedure TOPCConnectForm1.eItemIdExit(Sender: TObject);
var
  Props : TdOpcItemProperties;
  i     : integer;
  ListItem : TListItem;
begin
 ListView1.Items.Clear;
 if eItemId.Text <> '' then
 begin
    // get all Properties from the selected Item
    Props := TdOpcItemProperties.create(OPCServer,eItemId.Text);
    for i := 0 to Props.Count-1 do
    begin
       ListItem := ListView1.Items.Add;
       with Props[i] do
       begin
         ListItem.Caption := IntToStr(Id);
         ListItem.SubItems.Add(Description);
         ListItem.SubItems.Add(IntToStr(Datatype));
         ListItem.SubItems.Add(VarToAStr(Value));
       end;
    end;
    Props.Free;
 end;
end;

end.
